Subject: Attachments in Pine

From: Nicola Lenihan <[email-masked]>
Date: Sat, 20 Feb 1999 13:37:18 +0000

Hi everyone,
I am just wandering if there is anyway to automatically attach files to
every mail you send in Pine.
I wish to attach the same file to every mail I send.  Is this possible?
Thanks in Advance.
Nicola Lenihan

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------

---

From: Jeff A Kinsey <[email-masked]>
Date: Sat, 20 Feb 1999 08:49:06 -0500 (EST)

yes. you could use the 'sig' feature.

-jeff

--
 "make no small plans - for they have no magic to stir man's souls"
    electronic commerce for your business:  www.edivision.net

---

From: Timothy J Luoma <[email-masked]>
Date: Sat, 20 Feb 1999 11:29:28 -0500

Author:	Jeff A Kinsey <[email-masked]>
	Date:	Sat, 20 Feb 1999 08:49:06 -0500 (EST)
	ID:	<[email-masked]>

> yes. you could use the 'sig' feature.

That's not really what they asked for, they don't want to include a file,  
they want to attach a file

	(Jeff: the following is NOT really directed at you.  You
	gave an example of it, but PINE's setup actually can
	encourage the behavior I describe)

It is unfortunate that we have this new quoting style going around where we  
forward the previous person's email (even though everyone on the list already  
saw it) and just put our message at the top.  It makes it hard to reply  
properly.

There was a time when replies would have looked something like this:

<first reply>
Nicola Lenihan <[email-masked]> wrote

</end first reply>

And then my message would have looked something like this:

Jeff A Kinsey <[email-masked]> wrote:

> Nicola Lenihan <[email-masked]> wrote

Attaching a file and including a file are two different things.  I'm not  
100% sure which one Nicola was looking to accomplish.

Including an ASCII file, like a .sig file, can be accomplished in PINE.

_Attaching_ a file to every email is not possible in PINE as far as I know,  
and thankfully so.  I can't conceive of any attachment which would be useful  
to send with every email message.  It certainly would break mailing lists and  
folks who still may not have MIME capabilities.

If you want to include a file, like a .sig, check out this line in the  
Configuration screen of PINE:

	signature-file           = <No Value Set: using ".signature">

As far as attaching files, can't be done, and if it can be, it shouldn't be.	

TjL

---

From: Jeff A Kinsey <[email-masked]>
Date: Sat, 20 Feb 1999 16:46:42 -0500

i feel that my solution is valid for her inquiry... as it turns out, she really
did not want to attach the "same file" [which is what she ask for],
but various files.

-jeff

---

From: Jeff A Kinsey <[email-masked]>
Date: Sat, 20 Feb 1999 16:51:24 -0500

i happen to like the method you call 'unfortunate'. netscape mail does it the
same way as pine [as evidenced by this note]. when necessary, i have
simply stated "see comments below" and then dove into the message body
adding my two cents worth at the appropriate spot.

-jeff

> saw it) and just put our message at the top.  It makes it hard to reply

<< stuff deleted >>

---

From: Dan Wing <[email-masked]>
Date: Mon, 22 Feb 1999 07:59:46 -0800 (PST)

> folks who still may not have MIME capabilities.

vCards are something that can be useful.  Arguments can be made for
how ugly they are, or that non-MIME readers may find them awkward, but
many folks appreciate them.  I, for one, prefer someone attach a vCard
rather than a huge signature containing all their contact information.

Information on vCard is at <http://www.imc.org/pdi/>.

-Dan Wing

---

From: Ken Woods <[email-masked]>
Date: Mon, 22 Feb 1999 12:01:53 -0500 (EST)

> vCards are something that can be useful.  Arguments can be made for

Yep. Really useful for those of us running in a *nix environment.
>From the web page you provided: "You click the vCard button...."

hmm...click on what?  The part of the email that says:
"[ Cannot display this part. Press "V" then "S" to save in a file. ]"
Click on that?
*sigh*

> how ugly they are, or that non-MIME readers may find them awkward, 

You left out the part about how they don't comply to RFC 821, RFC 822, or
RFC 1049.

> but many folks appreciate them.

So, the rest of us should suffer?

> I, for one, prefer someone attach a vCard rather than a huge signature
> containing all their contact information.

[email-masked]
That's all you need to know.
If you want more info, then email me, and I'll get back with you.

-- 
Ken Woods
[email-masked]

---

From: Nancy McGough <[email-masked]>
Date: Mon, 22 Feb 1999 13:02:24 -0500 (EST)

To me, the problem with vCards isn't that they are sent as a MIME
attachment (which is a good thing IMHO) or that they are ugly (since
they are meant to be used to easily transfer the data into your
addressbook). The problem is that people shouldn't be automatically
sending them with *every* message they send. This is a waste of
bandwidth as the message travels through the Net and a waste of disk
space when a user saves a bunch of messages from someone and every
single one has the person's vCard. Like Ken said, just send people a
pointer to where they can get the info -- either a web address, email
address, or best of all a publicly-accessible IMAP server where the
vCard is stored in a message and people can use their mailer to go
grab the vCard and put the info into their addressbook when/if they
want it.

-- 
For Pine info & links, see www.ii.com/internet/messaging/pine/
 
©Nancy McGough          http://www.ii.com          Infinite Ink
--= Sent via PINE: Power Internet News & Email for Win/Unix =--

---

From: Steve Hubert <[email-masked]>
Date: Mon, 22 Feb 1999 10:12:08 -0800 (PST)

Pine should be able to display and save vcard attachments. A Save of a
vcard attachment should offer to save it to your address book. When you
forward a pine address book entry it may be forwarded as a vcard
attachment. However, there is no way to attach a vcard as a signature,
other than doing it manually.

-- 
Steve Hubert <[email-masked]>
Networks and Distributed Computing, Univ. of Washington, Seattle

---

From: Dan Wing <[email-masked]>
Date: Mon, 22 Feb 1999 10:12:31 -0800 (PST)

> "[ Cannot display this part. Press "V" then "S" to save in a file. ]"

The lack of a thing to click isn't a Unix problem but rather a
character-based MUA problem.  I don't see how that invalidates
vCards.  The web page I referenced is mostly for end users who
primiarly use MUAs with GUIs.

Support for vCards could be added to pine.  It could be implemented in a
fashion similar to the existing "Take Addr" feature (which scans the
message for email addresses to add to your local addressbook).

> You left out the part about how they don't comply to RFC 821, RFC 822, or

I don't see how vCards are compliant or not compliant with RFC821 -- or
any other message content is compliant or not compliant with RFC821.

As a defined MIME type, vCards seem as compliant with RFC822 as MIME
itself is compliant with RFC822.

RFC1049 was obsoleted by MIME.

> So, the rest of us should suffer?

I'm not sure how to answer that question.

vCard support seems to be growing, increasing the likelyhood that a
received message will contain a vCard.  If the receipient's MUA doesn't
support vCards (or MIME) the vCard may be ugly and cause some grief - but
the sender has no way of knowing if the recipient's mailer supports vCards
or MIME.

I'm not here to defend vCards - I merely pointed out why attaching a file
to a message may be desirable for some users.  I think such a discussion
is more appropriate on a non-pine mailing list, such as the vcard mailing
list [email-masked] (to subscribe, send mail to
[email-masked]).

-Dan Wing

---

From: Ken Woods <[email-masked]>
Date: Mon, 22 Feb 1999 13:15:42 -0500 (EST)

On Mon, 22 Feb 1999, Dan Wing wrote:
> I'm not here to defend vCards - I merely pointed out why attaching a
> file to a message may be desirable for some users.

We'll agree to disagree, and leave it at that.

-- 
Ken Woods
[email-masked]

---

From: Timothy J Luoma <[email-masked]>
Date: Mon, 22 Feb 1999 18:13:34 -0500

Author:	Dan Wing <[email-masked]>
	Date:	Mon, 22 Feb 1999 07:59:46 -0800 (PST)
	ID:	<[email-masked]>

> many folks appreciate them.

MIME attachments will break most mailing list digests and archiving software  
and shouldn't be used on mailing lists.

> I, for one, prefer someone attach a vCard rather than a huge
> signature containing all their contact information.

I prefer that people put all their contact information in 4 lines of 70  
characters or less prefixed by '-- ' and a CR/LF

TjL